summaryrefslogtreecommitdiffstats
path: root/etc/patches/bottlenecks/make-ram_num-configurable/apply.sh
diff options
context:
space:
mode:
authorxudan <xudan16@huawei.com>2018-12-26 02:57:47 -0500
committerxudan <xudan16@huawei.com>2018-12-26 03:15:09 -0500
commit083efad304a64217426b827a666ae828e7b4d0e7 (patch)
treebd64573cd7cfcbffecb42355131e13bb84eb25ad /etc/patches/bottlenecks/make-ram_num-configurable/apply.sh
parentd72355c25b456ac5660bf0ebb15f7265e1e634cf (diff)
Add a patch to make ram_num configurable for DPDKovp-2.1.0
1. add a patch to change bottlenecks source code within git repo /home/opnfv/bottlenecks 2. add a script to run the patch within Bottlenecks git repo 3. copy the edited file yardstick.py to /usr/local/lib 4. change the results dir from /home/opnfv/bottlenecks/results to /home/opnfv/results which is out of Bottlenecks git repo JIRA: BOTTLENECKS-248 Change-Id: I86ff51ec41caf79fb16e0985db8eefa679153102 Signed-off-by: xudan <xudan16@huawei.com>
Diffstat (limited to 'etc/patches/bottlenecks/make-ram_num-configurable/apply.sh')
-rwxr-xr-xetc/patches/bottlenecks/make-ram_num-configurable/apply.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/etc/patches/bottlenecks/make-ram_num-configurable/apply.sh b/etc/patches/bottlenecks/make-ram_num-configurable/apply.sh
new file mode 100755
index 00000000..51ebeea0
--- /dev/null
+++ b/etc/patches/bottlenecks/make-ram_num-configurable/apply.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+set -u
+
+cd /home/opnfv/bottlenecks
+# without setting the user, git does not allow to create a commit
+git config --global user.email "verified@opnfv.org"
+git config --global user.name "Dovetail"
+
+git am $(dirname $0)/0001-Allow-change-ram_num-when-enable-DPDK.patch
+
+cp utils/infra_setup/runner/yardstick.py /usr/local/lib/python2.7/dist-packages/utils/infra_setup/runner/yardstick.py
+
+exit 0